
package de.ivu.elect.presentation.gebietsbaum.action;

import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsgruppierung;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gebietsbaum.GebietsgruppierungEditView;

@Named(GebietsgruppierungEditAction.COMPONENT_NAME)
public class GebietsgruppierungEditAction extends AbstractGebietsgruppierungAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietsgruppierungEditAction";

  public GebietsgruppierungEditAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.GEBIETSGRUPPIERUNG_EDIT;
  }

  @Override
  protected String doIt(Gebietsgruppierung gebietsgruppierung) {
    gebietsgruppierungConversationSelect.setEntity(gebietsgruppierung);

    return GebietsgruppierungEditView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }
}
